<template>
  <div id="app">
    <CustomerList />
  </div>
</template>

<script>
// import axios from "axios";
import CustomerList from './components/CustomerList.vue';
export default {
  name: "App",
  components: {
    CustomerList
  },
  data: () => ({
    // info: null,
    // text: "This is my test",
    // get_customer: null,
    // post_info: {
    //   id: 0,
    //   name: "thinh",
    //   address: "404/28 Le Van Sy",
    //   avatarURL:
    //     "https://truongquochoc.com/wp-content/uploads/2020/10/32-hinh-anh-buon-mot-minh-lam-hinh-nen-1.jpg",
    //   balance: 400000000,
    //   yearOfBirth: 1994,
    //   phoneNumber: "0908117036",
    //   email: "string@gmail.com",
    //   fax: "5260070",
    //   createdDateTimeString: "OK",
    // },
    // response_post: null,
  }),
  mounted() {
    // axios
    //   .get("https://api.coindesk.com/v1/bpi/currentprice.json")
    //   .then((response) => (this.info = response));

    // axios
    //   .get("https://ahasoft-sample-apis.azurewebsites.net/Customer")
    //   .then((res) => (this.get_customer = res));
    // axios
    //   .post(
    //     "https://ahasoft-sample-apis.azurewebsites.net/Customer",
    //     this.post_info
    //   )
    //   .then((response) => (this.response_post = response.data));
  },
  methods: {
    // sweetAlert() {
    //   this.$swal({
    //     title: "Are you sure?",
    //     text: "Do you want to delete this customer?",
    //     type: "warning",
    //     showCancelButton: true,
    //     confirmButtonText: "Confirm",
    //     cancelButtonText: "Delete",
    //     showCloseButton: true,
    //     showLoaderOnConfirm: true,
    //   }).then((result) => {
    //     if (result.value) {
    //       console.log("Customer deleted!!!");
    //     } else {
    //       console.log("Cancel delete!!!");
    //     }
    //   });
    // },
  },
};
</script>

<style lang="scss">
.swal2-popup {
  border-radius: 35px !important;
}
.swal2-actions {
  .swal2-confirm {
    border-radius: 35px !important;
  }
  .swal2-cancel{
    border-radius: 35px !important;
  }
}
</style>
